app/factorio: build docker image
diff --git a/app/factorio/entrypoint.sh b/app/factorio/entrypoint.sh
new file mode 100644
index 0000000..8077a1c
--- /dev/null
+++ b/app/factorio/entrypoint.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+echo "entrypoint.sh starting..."
+
+if [ ! -d /data ]; then
+    echo "/data is not mounted, exiting."
+    exit 1
+fi
+
+cd /data
+
+if [ ! -f /data/game.zip ]; then
+    echo "No save game, creating new..."
+    /factorio/bin/x64/factorio --create game
+fi
+
+echo "Running with args: $@"
+exec /factorio/bin/x64/factorio --start-server game "$@"